function init(hero) {
    hero.setName("Honey Lemon");
    hero.setVersion("Animated Series");
    hero.setTier(2);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Skirt");
    hero.setBoots("Boots");
    hero.addEquipment("fiskheroes:chronos_rifle");

    hero.addAbilities("fiskheroes:utility_belt");
    hero.addAttribute("ATTACK_DAMAGE", 0.95, 1);
    hero.addAttribute("JUMP_HEIGHT", 1., 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -1.5, 1);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);

     hero.addKeyBind("UTILITY_SWITCH", "Switch Ball Type", 1);
    hero.addKeyBind("UTILITY_RESET", "Open Bag", 2);
    hero.addKeyBind("AIM", "key.aim", -1);

    hero.setDefaultScale(1.15);
    hero.setHasProperty(hasProperty);

     hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_CHRONOS_RIFLE";
}